Subject: bug#16615: 24.3.50; Fatal error visiting a directory (same as #16132?)

From: Richard Copley <[email-masked]>
Date: Sat, 1 Feb 2014 21:52:07 +0000

>> > From: Richard Copley <[email-masked]>
>> > Perhaps some problem with type-punning LARGE_INTEGER/ULARGE_INTEGER under
>> > -fstrict-aliasing [...] I admit it doesn't seem very likely [...]
Impossible, actually, because LARGE_INTEGER and ULARGE_INTEGER are
"compatible types" for the purposes of the strict aliasing rules, as
they differ only in signedness
(http://cellperformance.beyond3d.com/articles/2006/06/understanding-strict-aliasing.html#compatible_type).
Nonetheless those casts in Ffile_system_info seem gratuitous.

On 1 February 2014 20:43, Richard Copley <[email-masked]> wrote:
>On 1 February 2014 20:12, Eli Zaretskii <[email-masked]> wrote:
>> Please try the latest trunk and see if its solves the problem.
> Seems fixed, many thanks. I should rebuild with the libraries enabled to be sure. I will let you know the result.

Yes, still fixed. Thanks again.